Очередь задач CRM
/api/v1/developer/crm/tasksВозвращает минимизированную очередь задач проекта со связанными сделками.
Право доступаcrm.tasks.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
statusнеобязательно · querystringdefault: "all" · enum: ["open","done","all"]JSON Schema
{ "type": "string", "enum": [ "open", "done", "all" ], "default": "all" }dueнеобязательно · querystringdefault: "all" · enum: ["overdue","upcoming","none","all"]JSON Schema
{ "type": "string", "enum": [ "overdue", "upcoming", "none", "all" ], "default": "all" }limitнеобязательно · queryintegerminimum: 1 · maximum: 100 · default: 50JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100, "default": 50 }cursorнеобязательно · querystringminLength: 1 · maxLength: 512JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 512 }
Примеры запроса
curl --request GET \ 'https://YOUR_NOVA_HOST/api/v1/developer/crm/tasks?status=open&due=upcoming' \ --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Paginated project CRM tasks
application/jsonobject
tasksобязательно- arraymaxItems: 100
Вложенная схема
arraymaxItems: 100objectidобязательно- stringminLength: 1 · maxLength: 160
contactIdобязательно- stringminLength: 1 · maxLength: 160
dealIdобязательно- string | nullminLength: 1 · maxLength: 160
dealTitleобязательно- string | nullminLength: 1
titleобязательно- stringminLength: 1
dueAtобязательно- string | nullformat: "date-time"
priorityобязательно- stringenum: ["normal","high"]
statusобязательно- stringenum: ["open","in_progress","done"]
createdAtобязательно- stringformat: "date-time"
updatedAtобязательно- stringformat: "date-time"
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "dealId": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 160 }, "dealTitle": { "type": [ "string", "null" ], "minLength": 1 }, "title": { "type": "string", "minLength": 1 }, "dueAt": { "type": [ "string", "null" ], "format": "date-time" }, "priority": { "type": "string", "enum": [ "normal", "high" ] }, "status": { "type": "string", "enum": [ "open", "in_progress", "done" ] }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "contactId", "dealId", "dealTitle", "title", "dueAt", "priority", "status", "createdAt", "updatedAt" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "dealId": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 160 }, "dealTitle": { "type": [ "string", "null" ], "minLength": 1 }, "title": { "type": "string", "minLength": 1 }, "dueAt": { "type": [ "string", "null" ], "format": "date-time" }, "priority": { "type": "string", "enum": [ "normal", "high" ] }, "status": { "type": "string", "enum": [ "open", "in_progress", "done" ] }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "contactId", "dealId", "dealTitle", "title", "dueAt", "priority", "status", "createdAt", "updatedAt" ] }, "maxItems": 100 } nextCursorобязательно- string | null
JSON Schema
{
"type": "object",
"properties": {
"tasks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"contactId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"dealId": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 160
},
"dealTitle": {
"type": [
"string",
"null"
],
"minLength": 1
},
"title": {
"type": "string",
"minLength": 1
},
"dueAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"priority": {
"type": "string",
"enum": [
"normal",
"high"
]
},
"status": {
"type": "string",
"enum": [
"open",
"in_progress",
"done"
]
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"contactId",
"dealId",
"dealTitle",
"title",
"dueAt",
"priority",
"status",
"createdAt",
"updatedAt"
]
},
"maxItems": 100
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"tasks",
"nextCursor"
],
"$ref": "#/components/schemas/DeveloperCrmTaskListResponse"
}400 Invalid pagination request
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}